Bug 24767 - "Claim returned" feature cannot be turned off
Summary: "Claim returned" feature cannot be turned off
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14697
  Show dependency treegraph
 
Reported: 2020-02-29 09:07 UTC by Katrin Fischer
Modified: 2020-04-15 15:24 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24767: "Claim returned" feature cannot be turned off (7.68 KB, patch)
2020-03-12 11:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24767: "Claim returned" feature cannot be turned off (7.75 KB, patch)
2020-03-12 12:14 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24767: Hide the "Claim returned" tab if the feature is turned off (7.84 KB, patch)
2020-03-12 14:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-02-29 09:07:16 UTC
The new feature uses up quite a bit of space in the circulation screen, but will not be used by every library. Special libraries that only do in-house circulation to staff often ask us to remove things they don't need or want to use (such as all fine related things).

It would be great if this new feature could be turned off.
Comment 1 Kyle M Hall 2020-03-11 10:06:21 UTC
Can you be more specific? If the syspref ClaimReturnedLostValue is empty, the feature should be disabled.
Comment 2 Kelly McElligott 2020-03-11 19:16:44 UTC
The ability to claim an item "claim returned" is not there if the syspref is empty, however, the Claim Returned tab is stil present on the patrons detail page.
Comment 3 Kyle M Hall 2020-03-12 11:11:22 UTC
Created attachment 100618 [details] [review]
Bug 24767: "Claim returned" feature cannot be turned off

The ability to claim an item "claim returned" is not there if the syspref is empty, however, the Claim Returned tab is stil present on the patrons detail page.

Test Plan:
1) Ensure ClaimReturnedLostValue is not set
2) Note the claims tabs on the circulation and patron details pages
3) Apply this patch
4) Refresh those pages
5) The claims tabs should be gone!
Comment 4 PTFS Europe Sandboxes 2020-03-12 12:14:40 UTC
Created attachment 100620 [details] [review]
Bug 24767: "Claim returned" feature cannot be turned off

The ability to claim an item "claim returned" is not there if the syspref is empty, however, the Claim Returned tab is stil present on the patrons detail page.

Test Plan:
1) Ensure ClaimReturnedLostValue is not set
2) Note the claims tabs on the circulation and patron details pages
3) Apply this patch
4) Refresh those pages
5) The claims tabs should be gone!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 5 Jonathan Druart 2020-03-12 14:14:52 UTC
Created attachment 100640 [details] [review]
Bug 24767: Hide the "Claim returned" tab if the feature is turned off

The ability to claim an item "claim returned" is not there if the syspref is empty, however, the Claim Returned tab is stil present on the patrons detail page.

Test Plan:
1) Ensure ClaimReturnedLostValue is not set
2) Note the claims tabs on the circulation and patron details pages
3) Apply this patch
4) Refresh those pages
5) The claims tabs should be gone!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Commit title amended.
Comment 6 Martin Renvoize 2020-03-16 11:03:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 17:35:54 UTC
Backported to 19.11.x branch for 19.11.05